'' SDL2-Example program:
'' Simple test of power subsystem.
'' translated by TJF 2013
'/*
  'Copyright (C) 1997-2013 Sam Lantinga <slouken@libsdl.org>

  'This software is provided 'as-is', without any express or implied
  'warranty.  In no event will the authors be held liable for any damages
  'arising from the use of this software.

  'Permission is granted to anyone to use this software for any purpose,
  'including commercial applications, and to alter it and redistribute it
  'freely.
'*/

#INCLUDE ONCE "SDL2/SDL2.bi"

'/* Enable standard application logging */
SDL_LogSetPriority(SDL_LOG_CATEGORY_APPLICATION, SDL_LOG_PRIORITY_INFO)

IF SDL_Init(0) = -1 THEN
    SDL_LogError(SDL_LOG_CATEGORY_APPLICATION, !"SDL_Init() failed: %s\n", SDL_GetError())
    END 1
END IF

SDL_Log(!"base path: '%s'\n", SDL_GetBasePath())
SDL_Log(!"pref path: '%s'\n", SDL_GetPrefPath("libsdl", "testfilesystem"))

SDL_Quit()
